org.apache.lucene.luke.models.commits

## Class Segment

- java.lang.Object
- - org.apache.lucene.luke.models.commits.Segment

    public final class Segment
    extends Object

Holder for a segment.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCodecName()`
`int` `getDelCount()`
`long` `getDelGen()`
`String` `getDisplaySize()`
`String` `getLuceneVer()`
`int` `getMaxDoc()`
`String` `getName()`
`boolean` `isUseCompoundFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getMaxDoc

    public int getMaxDoc()

#### getDelGen

    public long getDelGen()

#### getDelCount

    public int getDelCount()

#### getLuceneVer

    public String getLuceneVer()

#### getCodecName

    public String getCodecName()

#### getDisplaySize

    public String getDisplaySize()

#### isUseCompoundFile

    public boolean isUseCompoundFile()